Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -14403,15 +14403,15 @@
                 ! donc dans le sol saturé.
            ! 31 aout: ce param est maintenant dans wateriso    
-        real precip_rain_eff(klon),fq_fonte_neige_eff(klon)
-        real sol_evap_eff(klon)
-        real xtsol_evap_eff(niso,klon)
-        real xtprecip_rain_eff(niso,klon), &
+        REAL precip_rain_eff(klon),fq_fonte_neige_eff(klon)
+        REAL sol_evap_eff(klon)
+        REAL xtsol_evap_eff(niso,klon)
+        REAL xtprecip_rain_eff(niso,klon), &
                 fxt_fonte_neige_eff(niso,klon)
-        integer ncas_evap,ncas_noevap,ncas_rosee
-        integer cas_evap(klon),cas_noevap(klon),cas_rosee(klon)
-        integer icas
-        real runoff_tmp(knon)
-#ifdef ISOVERIF
-        integer trace_cas(klon)
+        INTEGER ncas_evap,ncas_noevap,ncas_rosee
+        INTEGER cas_evap(klon),cas_noevap(klon),cas_rosee(klon)
+        INTEGER icas
+        REAL runoff_tmp(knon)
+#ifdef ISOVERIF
+        INTEGER trace_cas(klon)
 !        integer iso_verif_aberrant_nostop ! juste debug
 !        integer iso_verif_aberrant_O17_nostop ! juste debug
@@ -14422,5 +14422,5 @@
 !        integer iso_verif_positif_choix_nostop
 !        real deltaD,o17excess
-        real dqdiag
+        REAL dqdiag
 #endif       
 !#ifdef ISOVERIF
@@ -14429,5 +14429,5 @@
 #ifdef ISOTRAC
         ! locals   
-        integer izone_recoit
+        INTEGER izone_recoit
 #endif
 
@@ -14435,5 +14435,5 @@
 !      WRITE(*,*) 'calcul_iso_surf_ter 494'
       do i=1,knon         
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix( &
                      xtsnow_prec(iso_eau,i), &
@@ -14483,5 +14483,5 @@
 !        WRITE(*,*) 'calcul_iso_surf_ter 910'
         do i=1,knon
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(qsol_prec(i), &
                 xtsol_prec(iso_eau,i),'calcul_iso_surf_ter 504', &
@@ -14492,17 +14492,17 @@
                      errmax,errmaxrel)
           endif          
-          if (iso_HDO.gt.0) THEN
-           if (qsol_prec(i).gt.ridicule_qsol*1e2) THEN
+          IF (iso_HDO.gt.0) THEN
+           IF (qsol_prec(i).gt.ridicule_qsol*1e2) THEN
             CALL iso_verif_aberrant(xtsol_prec(iso_HDO,i)/ &
                   qsol_prec(i)/faccond,'calcul_iso_surf_ter 506')
            endif  !if (qsol_prec(i).gt.ridicule_qsol) 
           endif !if (iso_eau.gt.0) THEN
-          if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-            if (qsol_prec(i).gt.ridicule_qsol) THEN
+          IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+            IF (qsol_prec(i).gt.ridicule_qsol) THEN
               CALL iso_verif_aberrant_o17(xtsol_prec(iso_O17,i) &
                  /qsol_prec(i),xtsol_prec(iso_O18,i) &
                  /qsol_prec(i),'iso_surf_ter 1035')
-            endif !if ((qsol_prec(i).gt.ridicule).and.(xtsol_prec(iso_O18,i)
-          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+            endif !if ((qsol_prec(i).gt.ridicule).AND.(xtsol_prec(iso_O18,i)
+          endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
        enddo !do i=1,knon
 #endif
@@ -14534,5 +14534,5 @@
         CALL iso_verif_positif(max_eau_sol-qsol_prec(i), &
                  'calcul_iso_surf_ter 882')
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
           CALL iso_verif_positif(xtprecip_rain(iso_eau,i), &
                  'calcul_iso_surf_ter 655b')
@@ -14542,5 +14542,5 @@
               
         !WRITE(*,*) 'surf_ter 14041'
-        if (ruissellement_pluie.eq.1) THEN
+        IF (ruissellement_pluie.EQ.1) THEN
           do i=1,knon
              ! c'est la pluie que l'on fait ruisseller
@@ -14556,5 +14556,5 @@
              enddo
              runoff_tmp(i)=0.0
-             if (qsol_prec(i) &
+             IF (qsol_prec(i) &
                  +(precip_rain(i)-sol_evap(i))*dtime &
                  +fq_fonte_neige(i).gt.max_eau_sol) THEN
@@ -14564,5 +14564,5 @@
                   +(max_eau_sol-qsol_prec(i)-fq_fonte_neige(i))/dtime, &
                    precip_rain(i))
-                if (precip_rain_eff(i).lt.0.0) THEN
+                IF (precip_rain_eff(i).lt.0.0) THEN
                        ! ça déborderait même sans pluie
                     ! on réduit donc la fonte
@@ -14570,5 +14570,5 @@
                     fq_fonte_neige_eff(i)=min(sol_evap(i)*dtime &
                          +max_eau_sol-qsol_prec(i),fq_fonte_neige(i))
-                    if (fq_fonte_neige_eff(i).lt.0.0) THEN
+                    IF (fq_fonte_neige_eff(i).lt.0.0) THEN
                       ! ca déborderait même sans precip ni fonte car il
                       ! y a de la rosée
@@ -14605,5 +14605,5 @@
             CALL iso_verif_positif((precip_rain_eff(i)), &
                  'calcul iso_surf_ter 703')
-            if (sol_evap(i).ge.0.0) THEN
+            IF (sol_evap(i).ge.0.0) THEN
                 CALL iso_verif_egalite_choix( &
                    sol_evap(i), &
@@ -14613,9 +14613,9 @@
 #endif  
             ! pour les isostopes:
-            if (abs(precip_rain(i)-precip_rain_eff(i)) &
+            IF (abs(precip_rain(i)-precip_rain_eff(i)) &
                  .gt.ridicule*1e-2) THEN
              ! *  pour precip_rain_eff:            
-             if (precip_rain_eff(i).gt.ridicule_rain) THEN
-               if (precip_rain(i).gt.ridicule_rain) THEN
+             IF (precip_rain_eff(i).gt.ridicule_rain) THEN
+               IF (precip_rain(i).gt.ridicule_rain) THEN
                 do ixt=1,niso
                   xtprecip_rain_eff(ixt,i)=xtprecip_rain(ixt,i) &
@@ -14630,5 +14630,5 @@
                   xtprecip_rain_eff(ixt,i)=0.0
                 enddo
-                if ((bidouille_anti_divergence).and. &
+                IF ((bidouille_anti_divergence).AND. &
                  (iso_eau.gt.0))  THEN
                   xtprecip_rain_eff(iso_eau,i)=precip_rain_eff(i)
@@ -14643,5 +14643,5 @@
             endif !if (abs(precip_rain(i)-precip_rain_eff(i)).gt.ridicule) THEN
 #ifdef ISOVERIF            
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix( &
                  runoff_tmp(i),xtrun_off(iso_eau,i), &
@@ -14651,9 +14651,9 @@
 #endif   
 
-            if (abs(fq_fonte_neige_eff(i)-fq_fonte_neige(i)) &
+            IF (abs(fq_fonte_neige_eff(i)-fq_fonte_neige(i)) &
                  .gt.ridicule) THEN
              ! *  pour fq_fonte_neige_eff:
-             if (fq_fonte_neige_eff(i).gt.ridicule_rain) THEN
-               if (fq_fonte_neige(i).gt.ridicule_rain) THEN
+             IF (fq_fonte_neige_eff(i).gt.ridicule_rain) THEN
+               IF (fq_fonte_neige(i).gt.ridicule_rain) THEN
                 do ixt=1,niso
                   fxt_fonte_neige_eff(ixt,i)=fxt_fonte_neige(ixt,i) &
@@ -14678,5 +14678,5 @@
 
 #ifdef ISOVERIF            
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(( &
                  fq_fonte_neige_eff(i)), &
@@ -14708,5 +14708,5 @@
        enddo !do i=1,knon 
        do i=1,knon
-        if (qsol_prec(i).ge.0.0) THEN
+        IF (qsol_prec(i).ge.0.0) THEN
           do ixt=1,niso
            xtsol_avant_evap(ixt,i)=xtsol_prec(ixt,i) &
@@ -14714,5 +14714,5 @@
           enddo !do ixt=1,niso
         else !if (qsol_prec(i).ge.0.0) THEN
-            if (precip_rain_eff(i)*dtime+fq_fonte_neige_eff(i) &
+            IF (precip_rain_eff(i)*dtime+fq_fonte_neige_eff(i) &
                  .gt.ridicule_qsol) THEN
               do ixt=1,niso
@@ -14735,6 +14735,6 @@
       do i=1,knon         
       do ixt=1,niso
-        if (iso_verif_noNaN_nostop(( &
-          xtsol_avant_evap(ixt,i)),'surf_ter 1239').eq.1) THEN
+        IF (iso_verif_noNaN_nostop(( &
+          xtsol_avant_evap(ixt,i)),'surf_ter 1239').EQ.1) THEN
           WRITE(*,*) 'qsol_prec(i)=',qsol_prec(i)
           WRITE(*,*) 'xtsol_prec(ixt,i)=',xtsol_prec(ixt,i)
@@ -14755,5 +14755,5 @@
 #ifdef ISOVERIF
         do i=1,knon
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
 !            WRITE(*,*) 'qsol_prec=',qsol_prec(i)
 !            WRITE(*,*) 'xtsol_prec=',xtsol_prec(iso_eau,i)
@@ -14770,9 +14770,9 @@
                  'calcul_iso_surf_ter 527',errmax,errmaxrel)
           endif          
-          if (iso_HDO.gt.0) THEN
-           if (qsol_avant_evap(i).gt.ridicule_qsol*1e2) THEN
-             if (iso_verif_aberrant_nostop(( &
+          IF (iso_HDO.gt.0) THEN
+           IF (qsol_avant_evap(i).gt.ridicule_qsol*1e2) THEN
+             IF (iso_verif_aberrant_nostop(( &
                  xtsol_avant_evap(iso_HDO,i)/qsol_avant_evap(i)) &
-                 /faccond,'calcul_iso_surf_ter 5032').eq.1) THEN
+                 /faccond,'calcul_iso_surf_ter 5032').EQ.1) THEN
                WRITE(*,*) 'qsol_avant_evap(i)=',qsol_avant_evap(i)
                WRITE(*,*) 'ridicule_qsol=',ridicule_qsol
@@ -14796,12 +14796,12 @@
            endif ! if ( qsol_avant_evap(i).gt.ridicule_qsol)  
           endif !if (iso_eau.gt.0) THEN
-          if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-            if (qsol_avant_evap(i).gt.ridicule_qsol) THEN
+          IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+            IF (qsol_avant_evap(i).gt.ridicule_qsol) THEN
               CALL iso_verif_aberrant_o17(( &
                  xtsol_avant_evap(iso_O17,i)/qsol_avant_evap(i)), &
                  (xtsol_avant_evap(iso_O18,i) &
                  /qsol_avant_evap(i)),'iso_surf_ter 1263')
-            endif !if ((qsol_prec(i).gt.ridicule).and.(xtsol_prec(iso_O18,i)
-          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+            endif !if ((qsol_prec(i).gt.ridicule).AND.(xtsol_prec(iso_O18,i)
+          endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
         enddo !do i=1,knon   
 #endif
@@ -14821,8 +14821,8 @@
                 qsol(i), &
                'calcul_iso_surf_ter 587',errmax,errmaxrel)
-           if (ruissellement_pluie.eq.1) THEN
-             if (iso_verif_positif_choix_nostop( &
+           IF (ruissellement_pluie.EQ.1) THEN
+             IF (iso_verif_positif_choix_nostop( &
                  max_eau_sol-(qsol_avant_deversement(i)), &
-                 ridicule_qsol,'calcul_iso_surf_ter 843').eq.1) THEN
+                 ridicule_qsol,'calcul_iso_surf_ter 843').EQ.1) THEN
                WRITE(*,*) 'qsol_avant_evap(i)=',qsol_avant_evap(i)
                WRITE(*,*) 'qsol_avant_deversement(i)=', &
@@ -14842,5 +14842,5 @@
          ! modif 2 octobre! sol_evap au lie de evap
          ! modif 5 oct: gt au lieu de ge.
-          if (sol_evap(i).gt.0.0) THEN
+          IF (sol_evap(i).gt.0.0) THEN
            ncas_evap=ncas_evap+1
            cas_evap(ncas_evap)=i 
@@ -14848,5 +14848,5 @@
            trace_cas(i)=1
 #endif
-          else if (sol_evap(i).lt.0.0) THEN
+          ELSE IF (sol_evap(i).lt.0.0) THEN
            ncas_rosee=ncas_rosee+1
            cas_rosee(ncas_rosee)=i
@@ -14882,7 +14882,7 @@
 !              WRITE(*,*) 'xtsol_avant_evap,qsol_avant_evap=',
 !     :           xtsol_avant_evap(iso_eau,i),qsol_avant_evap(i) 
-          if  (iso_verif_egalite_nostop(sol_evap(i), &
+          IF  (iso_verif_egalite_nostop(sol_evap(i), &
                (sol_evap_eff(i)), &
-                'calcul_iso_surf_ter 1100').eq.1) THEN
+                'calcul_iso_surf_ter 1100').EQ.1) THEN
             WRITE(*,*) 'calcul_iso_surf_ter 543: qsol(',i,')=',qsol(i)
             WRITE(*,*) 'qsol_avant_evap(',i,')=',qsol_avant_evap(i)
@@ -14893,5 +14893,5 @@
             stop
             endif 
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix(( &
                  xtsol_avant_evap(iso_eau,i)) &
@@ -14899,9 +14899,9 @@
                  'calcul_iso_surf_ter 2952', &
                          errmax,errmaxrel)
-                if (qsol_avant_evap(i).gt.ridicule_qsol) THEN
-                  if (iso_verif_egalite_choix_nostop(( &
+                IF (qsol_avant_evap(i).gt.ridicule_qsol) THEN
+                  IF (iso_verif_egalite_choix_nostop(( &
                     xtsol_avant_evap(iso_eau,i)/qsol_avant_evap(i)), &
                     1.0,'calcul_iso_surf_ter 2952', &
-                    errmax,errmaxrel*10).eq.1) THEN
+                    errmax,errmaxrel*10).EQ.1) THEN
                       WRITE(*,*) 'xtsol_avant_evap(iso_eau,i)=', &
                          xtsol_avant_evap(iso_eau,i)
@@ -14924,6 +14924,6 @@
                 endif !if (qsol(i).gt.ridicule_qsol) THEN
               endif !if (iso_eau.gt.0) THEN
-              if (iso_HDO.gt.0) THEN
-                if (qsol_avant_evap(i).gt.ridicule_qsol*1e2) THEN
+              IF (iso_HDO.gt.0) THEN
+                IF (qsol_avant_evap(i).gt.ridicule_qsol*1e2) THEN
                   CALL iso_verif_aberrant(( &
                  xtsol_avant_evap(iso_HDO,i)/qsol_avant_evap(i)) &
@@ -14931,17 +14931,17 @@
                 endif !if (qsol(i).gt.ridicule_qsol) THEN
               endif  !if (iso_HDO.gt.0) THEN
-              if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-               if (qsol_avant_evap(i).gt.ridicule_qsol) THEN
+              IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+               IF (qsol_avant_evap(i).gt.ridicule_qsol) THEN
                    CALL iso_verif_aberrant_o17(( &
                     xtsol_avant_evap(iso_O17,i)/qsol_avant_evap(i)), &
                     (xtsol_avant_evap(iso_O18,i) &
                     /qsol_avant_evap(i)),'iso_surf_ter 1390')
-                endif !if ((qsol_prec(i).gt.ridicule).and.(xtsol_prec(iso_O18,i)
-              endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+                endif !if ((qsol_prec(i).gt.ridicule).AND.(xtsol_prec(iso_O18,i)
+              endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
            ! end verif du sol
        
        ! calcul de h1
-       if (tsurf(i).lt.t_coup) THEN
+       IF (tsurf(i).lt.t_coup) THEN
            zqs(i)=qsats(tsurf(i))/ps(i)
 #ifdef ISOVERIF            
@@ -14953,8 +14953,8 @@
 #ifdef ISOVERIF            
            CALL iso_verif_positif(zqs(i),'calcul_iso_surf 1187')
-           if (iso_verif_positif_nostop(0.15-zqs(i),& 
-                  'calcul_iso_surf 1188').eq.1) THEN
+           IF (iso_verif_positif_nostop(0.15-zqs(i),&
+                  'calcul_iso_surf 1188').EQ.1) THEN
                 WRITE(*,*) 'tsurf(i)=',tsurf(i)-t_coup,'°C'
-                if (tsurf(i)-t_coup.lt.50.0) THEN
+                IF (tsurf(i)-t_coup.lt.50.0) THEN
                    stop
                 endif
@@ -14977,21 +14977,21 @@
 #endif  
 #ifdef ISOVERIF       
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(Rsol(iso_eau),1.0, &
                  'calcul_iso_surf_ter 700',errmax*10,errmaxrel*10)
          endif !if (iso_eau.gt.0) THEN
-         if ((iso_HDO.gt.0).and. &
+         IF ((iso_HDO.gt.0).AND. &
                  (qsol_avant_evap(i).gt.ridicule_qsol*1e2)) THEN
           CALL iso_verif_aberrant(Rsol(iso_HDO)/faccond, &
                  'calcul_iso_surf_ter 703')
          endif
-         if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-            if (qsol_avant_evap(i).gt.ridicule_qsol) THEN
+         IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+            IF (qsol_avant_evap(i).gt.ridicule_qsol) THEN
               CALL iso_verif_aberrant_o17(Rsol(iso_o17),Rsol(iso_o18), &
                  'iso_surf_ter 1447')
-            endif !if ((qsol_prec(i).gt.ridicule).and.(xtsol_prec(iso_O18,i)
-          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-#endif
-        if ((bidouille_anti_divergence).and. &
+            endif !if ((qsol_prec(i).gt.ridicule).AND.(xtsol_prec(iso_O18,i)
+          endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+#endif
+        IF ((bidouille_anti_divergence).AND. &
                  (iso_eau.gt.0))  THEN
             Rsol(iso_eau)=1.0
@@ -15009,5 +15009,5 @@
           enddo   
 #endif
-          if (q1lay(i).gt.0.0) THEN
+          IF (q1lay(i).gt.0.0) THEN
               do ixt=1,niso  
                 R1(ixt)=xt1lay(ixt,i)/q1lay(i)
@@ -15040,5 +15040,5 @@
 
          ! calcul de l'évap
-         if (alphak_stewart.eq.1) THEN
+         IF (alphak_stewart.EQ.1) THEN
              ! calcul de alphak en accord avec stewart, mathieu et
              ! Bariac
@@ -15057,5 +15057,5 @@
          
          qevap(i)=sol_evap(i)*dtime ! quantité d'eau du sol perdue par evap
-         if (tsurf(i).gt.t_coup) THEN
+         IF (tsurf(i).gt.t_coup) THEN
              ! Pveg est la fraction d'eau évaporée sans fractionnement
              Pveg=P_veg
@@ -15067,9 +15067,9 @@
          
 #ifdef ISOVERIF         
-         if (P_veg.eq.1.0) THEN
+         IF (P_veg.EQ.1.0) THEN
          CALL iso_verif_egalite(Pveg,1.0,'calcul_iso_surf_ter 1314')
         endif
 #endif         
-        if (Pveg.gt.1.0-1e-3) THEN
+        IF (Pveg.gt.1.0-1e-3) THEN
             do ixt=1,niso
               xtnu(ixt,i)=0.0
@@ -15080,15 +15080,15 @@
             tsurf(i),alphak, L, xtnu(1,i),Pveg)
 #ifdef ISOVERIF
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix(xtnu(iso_eau,i),qevap(i),&
                  'calcul_iso_surf_ter 1253',errmax,errmaxrel)
          endif
-         if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-            if (qevap(i).gt.ridicule_evap) THEN
+         IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+            IF (qevap(i).gt.ridicule_evap) THEN
               CALL iso_verif_aberrant_o17(xtnu(iso_O17,i) &
                  /qevap(i),xtnu(iso_O18,i)/qevap(i), &
                  'iso_surf_ter 1623')
           endif !if (qevap(i).gt.ridicule_evap) THEN
-        endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif                  
         endif     
@@ -15107,22 +15107,22 @@
          enddo !do ixt=1,niso
 
-         if (evap_cont_cste.eq.1) THEN
+         IF (evap_cont_cste.EQ.1) THEN
              ! on fixe la compo de l'évap continentale
-             if (iso_eau.gt.0) THEN
+             IF (iso_eau.gt.0) THEN
                  xtsol_evap(iso_eau,i)=sol_evap(i)
              endif
-             if (iso_O18.gt.0) THEN
+             IF (iso_O18.gt.0) THEN
                  xtsol_evap(iso_O18,i)=sol_evap(i) &
                    *(deltaO18_evap_cont/1000.+1.)*tnat(iso_O18)
              endif
-             if (iso_HDO.gt.0) THEN
+             IF (iso_HDO.gt.0) THEN
                  xtsol_evap(iso_HDO,i)=sol_evap(i) &
                   *((d_evap_cont+8*deltaO18_evap_cont)/1000.+1.) &
                   *tnat(iso_HDO)
              endif
-             if (iso_O17.gt.0) THEN
+             IF (iso_O17.gt.0) THEN
                  xtsol_evap(iso_O17,i)=0.0
              endif
-             if (iso_HTO.gt.0) THEN
+             IF (iso_HTO.gt.0) THEN
                  xtsol_evap(iso_HTO,i)=0.0
              endif
@@ -15130,5 +15130,5 @@
 
 #ifdef ISOTRAC
-        if (option_traceurs.eq.20) THEN
+        IF (option_traceurs.EQ.20) THEN
            izone_recoit=bassin_map(knindex(i))
         else
@@ -15137,5 +15137,5 @@
 
         do ixt=niso+1,ntraciso
-           if (index_zone(ixt).eq.izone_recoit) THEN
+           IF (index_zone(ixt).EQ.izone_recoit) THEN
              xtsol_evap(ixt,i)=xtsol_evap(index_iso(ixt),i)
            else
@@ -15156,5 +15156,5 @@
 #endif           
 #ifdef ISOVERIF
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix( &
                  xtsol_evap(iso_eau,i), &
@@ -15165,9 +15165,9 @@
                  'calcul_iso_surf_ter 2976',errmax,errmaxrel)
            endif !if (iso_eau.gt.0) THEN
-           if (iso_HDO.gt.0) THEN
-             if (abs(sol_evap(i)).gt.ridicule_evap) THEN
-              if (iso_verif_aberrant_nostop( &
+           IF (iso_HDO.gt.0) THEN
+             IF (abs(sol_evap(i)).gt.ridicule_evap) THEN
+              IF (iso_verif_aberrant_nostop( &
                  xtsol_evap(iso_HDO,i)/sol_evap(i), &
-                 'calcul_iso_surf_ter 3273: sur terre').eq.1) THEN
+                 'calcul_iso_surf_ter 3273: sur terre').EQ.1) THEN
 !                   WRITE(*,*) 'deltaDsol=',deltaD(Rsol(ixt))
                    ! on ne plante que si ca donne lieu à des valeurs
@@ -15182,7 +15182,7 @@
               endif  !if (iso_verif_aberrant  
              endif !if (abs(evap(i)).gt.ridicule_rain*1e-2) THEN
-             if (iso_verif_aberrant_choix_nostop(xtsol_evap(iso_HDO,i), &
+             IF (iso_verif_aberrant_choix_nostop(xtsol_evap(iso_HDO,i), &
                  sol_evap(i),ridicule,1e5, &
-                 'calcul_iso_surf_ter 1403').eq.1) THEN
+                 'calcul_iso_surf_ter 1403').EQ.1) THEN
                 CALL iso_verif_aberrant( &
                          (xtsol_evap(iso_hdo,i)*dtime+q10*R1(iso_hdo)) &
@@ -15190,8 +15190,8 @@
                         'calcul_iso_surf_ter 1390')
               endif
-              if (qsol_avant_deversement(i).gt.ridicule_qsol*1e2) THEN
-                if (iso_verif_aberrant_nostop(xtsol(iso_HDO,i)& 
+              IF (qsol_avant_deversement(i).gt.ridicule_qsol*1e2) THEN
+                IF (iso_verif_aberrant_nostop(xtsol(iso_HDO,i)&
                          /(qsol_avant_deversement(i)) &
-                       /faccond, 'calcul_iso_surf_ter 1542').eq.1) THEN
+                       /faccond, 'calcul_iso_surf_ter 1542').EQ.1) THEN
                   WRITE(*,*) 'i, qsol(i)=',i, qsol(i)
                   WRITE(*,*) 'qsol_avant_evap,qevap,L=', &
@@ -15210,21 +15210,21 @@
               endif !if (qsol(i).gt.ridicule_qsol) THEN
            endif  !if (iso_HDO.gt.0) THEN
-           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-             if (qevap(i).gt.ridicule_evap) THEN
+           IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+             IF (qevap(i).gt.ridicule_evap) THEN
                CALL iso_verif_aberrant_o17(xtnu(iso_O17,i) &
                  /qevap(i),xtnu(iso_O18,i)/qevap(i), &
                  'iso_surf_ter 1626')
             endif 
-            if (sol_evap(i).gt.ridicule_evap) THEN
+            IF (sol_evap(i).gt.ridicule_evap) THEN
                CALL iso_verif_aberrant_o17(xtsol_evap(iso_O17,i) &
                  /sol_evap(i),xtsol_evap(iso_O18,i)/sol_evap(i), &
                  'iso_surf_ter 1631')
             endif
-            if (qsol(i).gt.ridicule_qsol) THEN
-              if (iso_verif_aberrant_o17_nostop(xtsol(iso_O17,i) &
+            IF (qsol(i).gt.ridicule_qsol) THEN
+              IF (iso_verif_aberrant_o17_nostop(xtsol(iso_O17,i) &
                  /(qsol_avant_deversement(i)), &
                  xtsol(iso_O18,i) &
                  /(qsol_avant_deversement(i)), &
-                 'iso_surf_ter 1623').eq.1) THEN
+                 'iso_surf_ter 1623').EQ.1) THEN
                   WRITE(*,*) 'i, qsol(i)=',i,qsol_avant_deversement(i)
                   WRITE(*,*) 'qsol_avant_evap,qevap,L=', &
@@ -15251,6 +15251,6 @@
                 stop
               endif !if (iso_verif_aberrant_o17_nostop(xtsol(iso_O17,i)
-            endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
-          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+            endif !if ((qsol(i).gt.ridicule).AND.(xtsol(iso_O18,i)
+          endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC
           CALL iso_verif_traceur(xtsol_evap(1,i), &
@@ -15288,12 +15288,12 @@
           ! sol_evap est divisé sans fractionnement en une partie   
           ! dirigée vers le sol, et une partie partant en ruissellement
-          if (abs(sol_evap(i)).gt.0.0) THEN
+          IF (abs(sol_evap(i)).gt.0.0) THEN
             do ixt=1,niso
              xtsol_evap_eff(ixt,i)=xtsol_evap(ixt,i) &
                  /sol_evap(i)*sol_evap_eff(i)
 #ifdef ISOVERIF
-             if (iso_verif_noNaN_nostop(( &
+             IF (iso_verif_noNaN_nostop(( &
                  xtsol_evap_eff(ixt,i)),'iso_surf_ter 1790') &
-                 .eq.1) THEN
+                 .EQ.1) THEN
                WRITE(*,*) 'xtsol_evap,sol_evap,sol_evap_eff=', &
                  xtsol_evap(ixt,i),sol_evap(i),sol_evap_eff(i)
@@ -15311,5 +15311,5 @@
            enddo !do ixt=1,niso
           endif !if (sol_evap.gt.0.0) THEN
-          if (ruissellement_pluie.eq.1) THEN
+          IF (ruissellement_pluie.EQ.1) THEN
             do ixt=1,niso
               xtrun_off(ixt,i)=xtrun_off(ixt,i)+(xtsol_evap_eff(ixt,i) &
@@ -15318,5 +15318,5 @@
              runoff_tmp(i)=runoff_tmp(i) &
                  +(sol_evap_eff(i)-sol_evap(i))*dtime
-          endif !if (ruissellement_pluie.eq.1) THEN
+          endif !if (ruissellement_pluie.EQ.1) THEN
 #ifdef ISOVERIF
           do ixt=1,niso
@@ -15327,5 +15327,5 @@
 #endif
 #ifdef ISOVERIF   
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix( &
                  (xtsol_evap_eff(iso_eau,i)), &
@@ -15334,5 +15334,5 @@
                  errmax,errmaxrel)
           endif
-          if (iso_HDO.gt.0) THEN
+          IF (iso_HDO.gt.0) THEN
               ! si il y a rosée, il faut que le flux d'isotopes soit
               ! aussi négatif
@@ -15361,5 +15361,5 @@
 #endif
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) THEN
+              IF (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix(xtsol(iso_eau,i), &
                   (qsol_avant_deversement(i)), &
@@ -15371,11 +15371,11 @@
                     'calcul_iso_surf_ter 771',errmax,errmaxrel)
               endif !if (iso_eau.gt.0) THEN
-              if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-               if (abs(evap(i)).gt.ridicule_evap) THEN
+              IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+               IF (abs(evap(i)).gt.ridicule_evap) THEN
                 CALL iso_verif_aberrant_o17(xtsol_evap(iso_O17,i) &
                  /sol_evap(i),xtsol_evap(iso_O18,i) &
                  /sol_evap(i),'calcul_iso_surf 1754')
               endif !if (qsol(i).gt.ridicule) THEN
-             endif ! if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+             endif ! if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
                     
@@ -15384,7 +15384,7 @@
         ! deversement du trop plein  
         ! seulement si c'est le sol qu'on fait ruisseller:
-        if (ruissellement_pluie.eq.0) THEN
+        IF (ruissellement_pluie.EQ.0) THEN
           do i=1,knon  
-          if (qsol_avant_deversement(i).gt.max_eau_sol) THEN
+          IF (qsol_avant_deversement(i).gt.max_eau_sol) THEN
               do ixt=1,niso
                 xtrun_off(ixt,i)=run_off(i)*xtsol(ixt,i) &
@@ -15393,5 +15393,5 @@
                          *max_eau_sol,max_eau_sol)
 #ifdef ISOVERIF 
-                if (iso_eau.gt.0) THEN
+                IF (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(run_off(i), &
                        xtrun_off(iso_eau,i),'calcul_iso_surf_ter 1774', &
@@ -15410,5 +15410,5 @@
           endif !if (qsol(i).gt.max_eau_sol) THEN
           enddo ! do i=1,knon  
-      else if (ruissellement_pluie.eq.1) THEN
+      ELSE IF (ruissellement_pluie.EQ.1) THEN
             ! on vérifie que rien ne déborde
 #ifdef ISOVERIF  
@@ -15417,5 +15417,5 @@
                  max_eau_sol-(qsol_avant_deversement(i)), &
                  ridicule_qsol,'calcul_iso_surf_ter 935')
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
             call  iso_verif_egalite_choix(runoff_tmp(i), &
                        xtrun_off(iso_eau,i),'calcul_iso_surf_ter 1794', &
@@ -15424,7 +15424,7 @@
 !            WRITE(*,*) 'tmp ter 1929: i,runoff_tmp,run_off=',
 !     :           i,runoff_tmp(i),run_off(i)
-           if (iso_verif_egalite_choix_nostop(runoff_tmp(i), &
+           IF (iso_verif_egalite_choix_nostop(runoff_tmp(i), &
                 run_off(i),'calcul_iso_surf_ter 1772', &
-                errmax_sol*max(qsol_prec(i),1.0),errmaxrel).eq.1) THEN
+                errmax_sol*max(qsol_prec(i),1.0),errmaxrel).EQ.1) THEN
            ! il y a beaucoup d'inprecision associée à runoff, car dans
            ! LMDZ, runoff=qsol-max_eau_sol (cf fonte_neige).
@@ -15457,5 +15457,5 @@
          ! rectification éventuelle du runoff
         do i=1,knon
-         if (runoff_tmp(i).gt.0.0) THEN
+         IF (runoff_tmp(i).gt.0.0) THEN
           do ixt=1,niso   
            xtrun_off(ixt,i)=xtrun_off(ixt,i)/runoff_tmp(i)*run_off(i)
@@ -15465,5 +15465,5 @@
 #ifdef ISOVERIF
         do i=1,knon
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(run_off(i), &
               xtrun_off(iso_eau,i),'calcul_iso_surf_ter 1834', &
@@ -15476,5 +15476,5 @@
           WRITE(*,*) 'ruissellement_pluie=',ruissellement_pluie
           stop
-        endif !if (ruissellement_pluie.eq.0) THEN
+        endif !if (ruissellement_pluie.EQ.0) THEN
         ! on en déduit l'évap vers l'atm:
         do i=1,knon
@@ -15503,9 +15503,9 @@
 #ifdef ISOVERIF
         do i=1,knon
-              if (iso_eau.gt.0) THEN
-                 if (iso_verif_egalite_choix_nostop( &
+              IF (iso_eau.gt.0) THEN
+                 IF (iso_verif_egalite_choix_nostop( &
                      xtevap(iso_eau,i),evap(i), &
                      'calcul_iso_surf_ter 1059',errmax,errmaxrel) &
-                     .eq.1) THEN
+                     .EQ.1) THEN
                    WRITE(*,*) 'xtevap(iso_eau,i)=',xtevap(iso_eau,i)
                    WRITE(*,*) 'evap(i)=',evap(i)
@@ -15524,7 +15524,7 @@
                  CALL iso_verif_positif(max_eau_sol-qsol(i), &
                          'calcul_iso_surf_ter 746a')
-                 if (iso_verif_positif_nostop( &
+                 IF (iso_verif_positif_nostop( &
                          max_eau_sol-xtsol(iso_eau,i), &
-                         'calcul_iso_surf_ter 746b').eq.1) THEN
+                         'calcul_iso_surf_ter 746b').EQ.1) THEN
                    WRITE(*,*) 'i=',i
                    WRITE(*,*) 'max_eau_sol=',max_eau_sol
@@ -15549,5 +15549,5 @@
                    WRITE(*,*) 'xtsol_evap(iso_eau,i)=', &
                          xtsol_evap(iso_eau,i)
-                   if (xtsol(iso_eau,i)-max_eau_sol.gt.1e-9) THEN
+                   IF (xtsol(iso_eau,i)-max_eau_sol.gt.1e-9) THEN
                       stop
                    else
@@ -15557,5 +15557,5 @@
                  endif
               endif !if (iso_eau.gt.0) THEN
-              if (iso_HDO.gt.0) THEN
+              IF (iso_HDO.gt.0) THEN
                  CALL iso_verif_aberrant_choix(xtsnow(iso_HDO,i),snow(i), &
                         ridicule_snow,deltalim_snow, 'calcul_iso_surf_ter 749')
